### Objective 1 - Helicopter view
```plantuml
```

### Objective 2 - Level 2

```plantuml
```


### Objective 3 - Deployment diagram

```plantuml
```


### Objective 4 - Backend components

```plantuml
```